package com.example.nto_2024_client.qr.network

import com.example.nto_2024_client.login.models.UserDTO
import io.ktor.client.HttpClient
import io.ktor.client.call.body
import io.ktor.client.engine.cio.CIO
import io.ktor.client.plugins.contentnegotiation.ContentNegotiation
import io.ktor.client.request.basicAuth
import io.ktor.client.request.get
import io.ktor.serialization.kotlinx.json.json
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.withContext
import kotlinx.serialization.json.Json

class QrNetwork {
    val client = HttpClient(CIO){
        install(ContentNegotiation){
            json(Json {
                isLenient = true
                ignoreUnknownKeys = true
            })

        }
    }


    suspend fun findQrCode(qrCode:String):Result<UserDTO> = withContext(Dispatchers.IO){
        runCatching {
            val result = client.get("http://10.6.66.81:8080/api/registration")
            result.body()
        }
    }

}